> ## Documentation Index
> Fetch the complete documentation index at: https://docs.databar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List custom API connectors

> Returns all custom API connectors configured in your workspace.



## OpenAPI

````yaml GET /v1/connectors/
openapi: 3.1.0
info:
  title: Databar.ai API
  description: >-

    # Authentication


    Databar uses API keys to allow access to the API. You can find your API key
    in your workspace home page, but to use the REST API you’ll first need to
    schedule a call with us.

    Our API expects the API key to be included in all API requests to the server
    in the Header of your request with the key `x-apikey`.

    To find your API key, head over to your Databar workspace and click
    Integrations.


    **Example:**


    `bash

    curl https://api.databar.ai/v1/user/me -H x-apikey: {YOUR_API_KEY}`
  contact:
    email: info@databar.ai
  version: 0.1.2
servers:
  - url: https://api.databar.ai
    description: Production
security: []
paths:
  /v1/connectors/:
    get:
      tags:
        - Connector
      summary: List custom API connectors
      description: Returns all custom API connectors configured in your workspace.
      operationId: list_connectors_v1_connectors__get
      parameters:
        - name: x-apikey
          in: header
          required: true
          schema:
            type: string
            title: API Key
            description: API Key for authentication
          description: API Key for authentication
      responses:
        '200':
          description: List of connectors
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Connector'
                title: Response List Connectors V1 Connectors  Get
              example:
                - id: 1
                  name: My Scoring API
                  type: enrichment
                  method: post
                  url: https://api.example.com/v1/score
                  headers:
                    - name: Authorization
                      value: Bearer sk-xxx
                  parameters: []
                  body:
                    - name: domain
                      value: ''
                  rate_limit: 10
                  max_concurrency: 5
                  created_at: '2025-01-15T10:30:00Z'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Connector:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        method:
          type: string
          title: Method
        url:
          type: string
          title: Url
        headers:
          items:
            $ref: '#/components/schemas/NameValue'
          type: array
          title: Headers
          default: []
        parameters:
          items:
            $ref: '#/components/schemas/NameValue'
          type: array
          title: Parameters
          default: []
        body:
          items:
            $ref: '#/components/schemas/NameValue'
          type: array
          title: Body
          default: []
        body_template:
          anyOf:
            - type: string
            - type: 'null'
          title: Body Template
        rate_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rate Limit
        max_concurrency:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Concurrency
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
      type: object
      required:
        - id
        - name
        - type
        - method
        - url
      title: Connector
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NameValue:
      properties:
        name:
          type: string
          title: Name
        value:
          type: string
          title: Value
          default: ''
      type: object
      required:
        - name
      title: NameValue
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````